Bug 486764 - gnome-panel memory leak
gnome-panel memory leak
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-21 18:09 EST by Nadim Kobeissi
Modified: 2009-12-18 02:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:59:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 592308 None None None Never

  None (edit)
Description Nadim Kobeissi 2009-02-21 18:09:53 EST
Description of problem:
gnome-panel appears to have a memory leak that may consume up to 4GB of memory within 24 hours if the program is left running. By default, gnome-panel runs, and is necessary, on Fedora 10 installations.


Version-Release number of selected component (if applicable):
GNOME 2.24.3

How reproducible:
Here are my gnome-panel settings:
I have gnome-panel running on a dual-monitor setup, only on the main monitor. I'm using kmod-nvidia, and compiz. I have verified that the memory leak is indeed coming from gnome-panel using top. gnome-panel is using a transparency effect and runs the following widgets:
NetworkManager icon, sound icon, date and time, fast user switching, desktop icon, virtual desktop, and taskbar.

Steps to Reproduce:
1. Run gnome-terminal
2. Configure it as above
  
Actual results:
Everything runs perfectly but with a huge memory leak that leads eventually to Fedora being unable to fork new processes.

Expected results:
gnome-panel without any memory leaking.

Additional info:
N/A
Comment 1 Alex Butcher 2009-06-23 15:32:26 EDT
I believe this is still present in Fedora 11, gnome-panel-2.26.2-1.fc11.
Comment 2 Christian L 2009-07-09 13:48:32 EDT
I can confirm that it is still present in Fedora 11, gnome-panel-2.26.2-1.fc11.x86_64 and gnome-panel-2.26.3-1.fc11.x86_64(from updates-testing). I am using wallpapoz to change the background periodically, and every time the wallpaper changes, memory usage of gnome-panel goes up. Disabling compiz does not help.

Walkaround: disable transparency in gnome-panel and restart gnome-panel. Memory usage of gnome-panel then stays around 10 MB, even with compiz and wallpapoz enabled. Transparency of gnome-panel can also be enabled within compiz with the opacity settings for "Dock"-type windows. While this affects the transparency of all the icons as well, it does not lead to the memory leak.
Comment 3 Alex Butcher 2009-07-09 17:09:00 EDT
I'm using the default FC11 config; no compiz, no transparency, no wallpaper changing.

I have a total of three gnome-panels, one for the Window List and Show Desktop on top of one for the menus, several launchers, Music Applet, seahorse-applet, Pulse Audio Volume Control, gweather, update applet, tracker, sound preferences, Bluetooth applet, Tomboy, User switch applet and Clock. Along the right vertical edge, I have another panel with sensors-applet and system monitor.

gnome-panel can use upto 4GB whilst I leave the desktop idle and blanked for ~10 hours. Killing it brings everything back to normal.
Comment 4 Alex Butcher 2009-07-29 13:34:00 EDT
Doesn't seem as bad since recent gnome-panel-2.26.3-1.fc11 update, though I see nothing in its changelog to indicate bugfix. Perhaps a fix in some other recently-updated GNOME library?

Memory usage still suspiciously high and rising, though, just not into the GB range. :-]
Comment 5 Alex Butcher 2009-08-04 18:10:35 EDT
I saw it again this morning. Most days I run a check on my md RAID arrays (e.g. 'echo check >/sys/block/md0/md/sync_action'), but I've not been doing that for the last week or so.

Is there any possibility that gnome-panel, or some library it uses, doesn't respond well to IO operations taking rather longer than normal?
Comment 6 Alex Butcher 2009-08-19 06:02:54 EDT
OK, for me, gnome-panel's memory leak appears to definitely be caused by an md sync_action check happening in the background. To reproduce:

1. /home in a LVM LV in VG in a PV on a md RAID1 array (e.g. /dev/md3)
2. Log into a GNOME session that includes gnome-panel
3. As root, echo check >/sys/block/md3/md/sync_action
4. Observe as gnome-panel RSS and VSZ rockets upwards
Comment 7 Alex Butcher 2009-08-28 15:13:42 EDT
I've found the combination of circumstances causing my gnome-panel "leak"

1) having (unmounted, cifs) mountpoints within my normal user's home directory and listed in /etc/fstab
2) the RAID scrub (which recent Fedora releases run weekly, from /etc/cron.weekly/raid-check).

Have any other reporters on the CC list got mountpoints in their home directory?
Comment 8 Ze Oliveira 2009-10-06 04:47:48 EDT
Our team have found the same issue occuring on RHEL 5.3 (2.6.18-128.el5 x86_64).

Gnome-panel has taken up about 97% of available memory, within about 24hrs, for no apparent reason. Note - we do not run RAID on our machine.

Could you please advise?

Is this bug still Open? Is there a patch or fix-release available?

Are there any other similar bugs, relating to Gnome-panel memory leaks?

Regards,
Ed
Comment 9 Alex Butcher 2009-10-06 05:56:35 EDT
Ze, do you have mountpoints within the home directory of the user(s) with active gnome sessions?
Comment 10 Bug Zapper 2009-11-18 04:52:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 02:59:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.